﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ajax.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ajax</title>
    <link href="site.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h2>Ajax</h2>
    <ol>
        <li class="medium"><a href="docs/AjaxIntro.docx">Ajax Introduction</a> - Overview of the technique. Other sources: Wikipedia:
                <a href="http://en.wikipedia.org/wiki/Ajax_(programming)">Ajax</a>, W3Schools:
                <a href="https://www.w3schools.com/js/js_ajax_intro.asp">tutorial</a></li>
        <li class="medium"><a href="docs/AjaxJS.docx">Ajax with JavaScript</a> - Overview of using JS to do Ajax
            <ul>
                <li class="medium"><a href="pages/AjaxJS_HelloWorld.aspx">Example 1</a> - Hello World with JS XMLHttpRequest</li>
                <li class="medium"><a href="pages/AjaxJS_Suggestions.aspx">Example 2</a> - Suggestion list with JS XMLHttpRequest</li>
                <li class="medium">(not available) <a href="pages/AjaxXML.aspx">Example 3</a> - JS XMLHttpRequest with XML on server-side</li>
			    <li class="medium"><a href="pages/AjaxJSFetch_HelloWorld.aspx">Example 4</a> - Hello World with JS Fetch</li>
            </ul></li>
        <li class="medium"><a href="docs/AjaxJQuery.docx">Ajax with jQuery</a> - Overview of using jQuery to do Ajax
            <ul>
                <li class="medium"><a href="pages/AjaxJQuery_Suggestions.aspx">Example 5</a> - Suggestion list with jQuery</li>
			    <li class="medium"><a href="pages/AjaxJQueryJson.aspx">Example 6</a> - Ajax with JSON using jQuery</li>
            </ul></li>
        <li class="medium"><a href="docs/AjaxASPNet.docx">Ajax with .NET</a> - Overview of using Ajax with .NET controls
            <ul>
                <li class="medium"><a href="pages/AjaxDotNet_ListBox.aspx">Example 7</a> - .NET example</li>
                <li class="medium"><a href="pages/AjaxDotNet_Timer.aspx">Example 8</a> - .NET example of Timer</li>
            </ul></li>
        <li class="medium"><a href="https://www.devexpress.com/Products/AJAX-Control-Toolkit/?utm_source=Web&amp;utm_medium=SiteShortcut&amp;utm_campaign=AjaxControlToolkit&amp;utm_content=AjaxControlToolkit_Web_SiteShortcut">Ajax Toolkit</a> 
                - An open-source project with a collection of Ajax enabled controls. Online <a href="http://ajaxcontroltoolkit.devexpress.com/">demos</a><br />
    </ol>
    </div>
    </form>
</body>
</html>
