﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Newtonsoft.Json;

namespace ajax.pages
{
	public partial class MartianService : System.Web.UI.Page
	{
        protected void Page_Load(object sender, EventArgs e)
        {
	        getMartians();
        }

        private void getMartians()
        {
            // Get the request query 
            int numMartians = Convert.ToInt32(Request.QueryString["num"]);

            List<Martian> martians = new List<Martian>();
            Random rand = new Random();
            string[] letters = { "a", "b", "c", "d", "e", "f", "g" };

            for(int i=0; i<numMartians; i++)
	        {
                int id = rand.Next(1, 101);
                string name = "";
                for(int j=0; j<5; j++)
		        {
                    name += letters[rand.Next(0, 7)];
		        }
                Martian m = new Martian(id, name);
                martians.Add(m);
	        }

            string json = JsonConvert.SerializeObject(martians);
            Response.Write(json);
            Response.End();
        }
    }
}