﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AjaxDotNet_Timer.aspx.cs" Inherits="ajax.pages.AjaxDotNet_Timer" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ajax via .NET</title>
    <link href="../site.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .style1
        {
            color: #FF0000;
        }
        .newStyle1 {
            vertical-align: top;
        }
        .newStyle2 {
            color: #0000FF;
            font-weight: bold;
        }
        .newStyle3 {
            border-style: solid;
            display: inline-block;
        }
        .newStyle4 {
            border-style: solid;
            width: auto;
        }
        </style>

</head>
<body>
    <form id="form1" runat="server">

        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

    <div>
    <p><b>AJAX Example Using ASP.NET</b></p>

    <div class="newStyle3">
        <p>Timer fires an event every 0.5 sec to move a name</p>

        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <%--Put controls here.--%>
        <table>
            <tr>
                <td class="newStyle1">
                            <asp:Timer ID="Timer1" runat="server" Enabled="False" Interval="500" ontick="Timer1_Tick">
                            </asp:Timer>
                            <asp:Button ID="btnStart" runat="server" onclick="btnStart_Click" 
                                Text="Start" />
                            </td>
                <td>
                            <asp:ListBox ID="lst1" runat="server" AutoPostBack="True" Height="120px" Width="100px">
                                <asp:ListItem>Dave</asp:ListItem>
                                <asp:ListItem>Peg</asp:ListItem>
                                <asp:ListItem>Sue</asp:ListItem>
                                <asp:ListItem>Ron</asp:ListItem>
                                <asp:ListItem>Jim</asp:ListItem>
                            </asp:ListBox>
                            </td>
                <td>
                            <asp:ListBox ID="lst2" runat="server" AutoPostBack="True" Height="120px" Width="100px">
                                <asp:ListItem>Anna</asp:ListItem>
                                <asp:ListItem>Rachel</asp:ListItem>
                                <asp:ListItem>Betty</asp:ListItem>
                            </asp:ListBox>
            </tr>
        </table>            </ContentTemplate>

        </asp:UpdatePanel>
    
    </div>

            <br />

    
    </div>

    </form>
</body>
</html>
