﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ajax.pages {
    public partial class AjaxDotNet_Timer : System.Web.UI.Page {
        private bool direction_1_to_2 {
            get { return (bool)Session["direction"]; }
            set { Session["direction"] = value; }
        }

        protected void Page_Load(object sender, EventArgs e) {
            if (!Page.IsPostBack)
                direction_1_to_2 = true;

        }

        protected void btnStart_Click(object sender, EventArgs e) {
            if (btnStart.Text.Equals("Start")) {
                Timer1.Enabled = true;
                btnStart.Text = "Stop";
            }
            else {
                Timer1.Enabled = false;
                btnStart.Text = "Start";
            }
        }

        protected void btnStop_Click(object sender, EventArgs e) {
            Timer1.Enabled = false;
        }

        protected void Timer1_Tick(object sender, EventArgs e) {
            ListBox lstFrom = lst1;
            ListBox lstTo = lst2;

            // can write shorter, but this works
            if (direction_1_to_2) {
                if (lst1.Items.Count > 0) {
                    lstFrom = lst1;
                    lstTo = lst2;
                }
                else if (lst2.Items.Count > 0) {
                    lstFrom = lst2;
                    lstTo = lst1;
                    direction_1_to_2 = false;
                }
                else {
                    Timer1.Enabled = false;
                    return;
                }
            }
            else {
                if (lst2.Items.Count > 0) {
                    lstFrom = lst2;
                    lstTo = lst1;
                }
                else if (lst1.Items.Count > 0) {
                    lstFrom = lst1;
                    lstTo = lst2;
                    direction_1_to_2 = true;
                }
                else {
                    Timer1.Enabled = false;
                    return;
                }
            }

            lstTo.Items.Add(lstFrom.Items[0]);
            lstFrom.Items.RemoveAt(0);

        }

    }
}