﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AjaxJSFetch_HelloWorld.aspx.cs" Inherits="ajax.pages.AjaxJSFetch_HelloWorld" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script>
        async function makeAjaxRequest() {
	        alert("about to make ajax request via Fetch");
	        var name = document.getElementById("txtName").value;
	        let response = await fetch("Ex01_Data.aspx?q=" + name);

	        //console.log(response.status); // 200
	        //console.log(response.statusText); // OK

	        if (response.status === 200) {
		        let data = await response.text();
		        alert("response from server recieved" + " " + data);
		        document.getElementById("message").innerHTML = data;
	        }
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <p><b>Simple AJAX Example Using JavaScript Fetch</b></p>
        <p>Makes async call to server to get greeting</p>

        <p>Enter a name: <input id="txtName" type="text" name="txtName" /></p>
        <p><button type="button" onclick="makeAjaxRequest();">Ajax Button</button></p>
        <div id="message"></div>
    </div>
    </form>
</body>
</html>
